<div *ngIf="query" class="query-form">
    <span *ngFor="let filter of query.filters" class="query-filter">
        <app-filter-container [allowComparisons]="allowComparisons" [filter]="filter"></app-filter-container>
    </span>

    <div *ngIf="allowSort" class="query-filter">
        <label>
            <span>Sort by</span>
            <select [(ngModel)]="query.orderBy" name="order-by">
                <option value=""></option>
                <option *ngFor="let filter of query.filters.slice()" [value]="filter.internalName">
                    {{filter.title}}
                </option>
            </select>
        </label>

        <label>
            <span>Descending</span>
            <input type="checkbox" [(ngModel)]="query.descending"/>
        </label>
    </div>

    <div class="query-controls">
        <button type="submit" (click)="onSubmit()">Submit</button>
        <button (click)="onReset()">Reset</button>
    </div>
</div>
